Home unable to install libxml-ruby 2.6 on mac os
Reply: 0

unable to install libxml-ruby 2.6 on mac os

qwas
1#
qwas Published in 2015-06-08 18:44:18Z

getting the following error

gem install libxml-ruby -v 2.6.0 Building native extensions. This could take a while... ERROR: Error installing libxml-ruby: ERROR: Failed to build gem native extension.

/usr/local/rvm/rubies/ruby-2.2.0/bin/ruby -r ./siteconf20150608-66572-6mmes4.rb extconf.rb

* extconf.rb failed * Could not create Makefile due to some reason, probably lack of necessary libraries and/or headers. Check the mkmf.log file for more details. You may need configuration options.

Provided configuration options: --with-opt-dir --with-opt-include --without-opt-include=${opt-dir}/include --with-opt-lib --without-opt-lib=${opt-dir}/lib --with-make-prog --without-make-prog --srcdir=. --curdir --ruby=/usr/local/rvm/rubies/ruby-2.2.0/bin/$(RUBY_BASE_NAME) extconf.rb:17:in `': uninitialized constant Config (NameError)

extconf failed, exit code 1

Gem files will remain installed in /usr/local/rvm/gems/ruby-2.2.0/gems/libxml-ruby-2.6.0 for inspection. Results logged to /usr/local/rvm/gems/ruby-2.2.0/extensions/x86_64-darwin-13/2.2.0/libxml-ruby-2.6.0/gem_make.out

You need to login account before you can post.

About| Privacy statement| Terms of Service| Advertising| Contact us| Help| Sitemap|
Processed in 0.303691 second(s) , Gzip On .

© 2016 Powered by mzan.com design MATCHINFO